opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Public Attributes | List of all members
cv::RNG Class Reference

`#include <core.hpp>`

## Public Types
enum | { A =4164903690U, UNIFORM =0, NORMAL =1 }

## Public Member Functions
void | fill (Mat &mat, int distType, const Scalar &a, const Scalar &b)
double | gaussian (double sigma)
| returns Gaussian random variate with mean zero.
unsigned | next ()
| updates the state and returns the next 32-bit unsigned integer random number
| operator double ()
| operator float ()
| operator int ()
| operator schar ()
| operator short ()
| operator uchar ()
| operator unsigned ()
| operator ushort ()
unsigned | operator() (unsigned N)
| returns a random integer sampled uniformly from [0, N).
unsigned | operator() ()
| RNG ()
| RNG (uint64 _state)
int | uniform (int a, int b)
| returns uniformly distributed integer random number from [a,b) range
float | uniform (float a, float b)
| returns uniformly distributed floating-point random number from [a,b) range
double | uniform (double a, double b)
| returns uniformly distributed double-precision floating-point random number from [a,b) range

## Public Attributes
uint64 | state

## Detailed Description

Random Number Generator

The class implements RNG using Multiply-with-Carry algorithm

## Member Enumeration Documentation

anonymous enum

Enumerator:

  A |
  UNIFORM |
  NORMAL |

## Constructor & Destructor Documentation

cv::RNG::RNG | ( |  | ) |
| inline

cv::RNG::RNG | ( | uint64 | _state | ) |
| inline

## Member Function Documentation

void cv::RNG::fill | ( | Mat & | mat,
|  | int | distType,
|  | const Scalar & | a,
|  | const Scalar & | b
| ) |  |

double cv::RNG::gaussian | ( | double | sigma | ) |

returns Gaussian random variate with mean zero.

unsigned cv::RNG::next | ( |  | ) |
| inline

updates the state and returns the next 32-bit unsigned integer random number

cv::RNG::operator double | ( |  | ) |
| inline

cv::RNG::operator float | ( |  | ) |
| inline

cv::RNG::operator int | ( |  | ) |
| inline

cv::RNG::operator schar | ( |  | ) |
| inline

cv::RNG::operator short | ( |  | ) |
| inline

cv::RNG::operator uchar | ( |  | ) |
| inline

cv::RNG::operator unsigned | ( |  | ) |
| inline

cv::RNG::operator ushort | ( |  | ) |
| inline

unsigned cv::RNG::operator() | ( | unsigned | N | ) |
| inline

returns a random integer sampled uniformly from [0, N).

unsigned cv::RNG::operator() | ( |  | ) |
| inline

int cv::RNG::uniform | ( | int | a,
|  | int | b
| ) |  |
| inline

returns uniformly distributed integer random number from [a,b) range

float cv::RNG::uniform | ( | float | a,
|  | float | b
| ) |  |
| inline

returns uniformly distributed floating-point random number from [a,b) range

double cv::RNG::uniform | ( | double | a,
|  | double | b
| ) |  |
| inline

returns uniformly distributed double-precision floating-point random number from [a,b) range

## Member Data Documentation

uint64 cv::RNG::state

The documentation for this class was generated from the following files:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp
- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/operations.hpp